// Voorbeeldje
/* https://developer.mozilla.org/nl/docs/Web/JavaScript */
/* Chrome Developer Tools: F12 OF CTRL+SHFT+I */
/* Google: mdn javascript string */
console.clear();
console.log("Test");

var x = document.getElementById("melding");
x.textContent = "Testje";

var naam = "Marc";
naam = naam.toUpperCase();
console.log(naam);

function test() {
  return {
    naam: "Marc's JavaScript"
  };
}

var x = test();
console.log(x.naam);

var artikel = {
  naam: "Pen",
  prijs: 1.5
};
console.log(artikel.naam);

var cursussen = ["Javascript", "HTML", "CSS"];
cursussen[3] = "APEX";
console.log(cursussen[3]);
console.log(cursussen);

var som = 2 + 3;
console.log(som);

var x = 3;
var y;
var z = x / y;
console.log(x / y);
console.log(isNaN(x / y));
console.log(isNaN(z));
console.log(Number.isInteger(x));
console.log(Number.parseFloat("12.4.45test"));
console.log(Number.parseInt("12.4.45test"));

var test = `1 + 2 = ${1 + 2}`;
var alternatief = "Wij hopen \n dat \\ het heel \
goed zal bevallen.";
console.log(alternatief);
console.log(test);

/*
function som(a, b) {
var uitkomst = a + b;
return uitkomst;
}

console.log(som(3,8));
*/

// van rechts naar links
var a = 4;
var b = 5;
var c = 3;
var d = a += b += c;
console.log(a, b, c, d);

console.log(3 + " + " + 4 + " = " + (3 + 4));


var x = 1;
var y = x++;
y += x;
console.log(x, y);


function test1(a) {
  // a wordt 0 als a nog niet gevuld is
  console.log(a, !!a);

  if (!a) {
    a = 0;
  } else {
    a = a
  }
  return a;

  //return a = a || 0;
}

var x = test1(4);
console.log(x);
x = test1();
console.log(x);

// Variant 1
//var getal1 = parseFloat(window.prompt("Getal a: "));
//var getal2 = parseFloat(window.prompt("Getal b: "));
// Variant 2
var getal1 = window.prompt("Getal a: ");
var getal2 = window.prompt("Getal b: ");
getal1 = Number.parseFloat(getal1);
getal2 = Number.parseFloat(getal2);

console.log("Eerste getal: " + getal1);
console.log("Tweede getal: " + getal2);
var sommetje = getal1 + getal2;
console.log(sommetje);
//console.log(getal1, getal2, getal1 + getal2);

var medling = `${a} + ${b} = ${a + b}`;
console.log(medling);


var x = 15;
//x++;
var boodschap = `De waarde van x is nu ${++x}`;
//boodschap = "De waarde van x is nu " + x;
console.log(boodschap);



console.log("De waarde van x is nu: " + x);
++x;
console.log("De waarde van x is nu: " + x);
x++;
console.log("De waarde van x is nu: " + x);


x = x < 25 ? x + 1 : 10;
console.log(x);


var arr_namen = ["Klaas", "Piet", "Jan"];
console.log(arr_namen[0]);
console.log(arr_namen[arr_namen.length - 1]);


var date = new Date();
var dag = date.getDay();
console.log("Datum: " + date);
console.log("Dag  : " + dag);

var dag = window.prompt("Geef dagnummer van de week:");
dag = Number.parseInt(dag);
switch (dag) {
  case 1:
  case 2:
  case 3:
  case 4:
  case 5:
    console.log("Werkdag");
    break;
  case 6:
  case 7:
    console.log("Weekend");
    break;
  default:
    console.log("Geen bekende dag van de week");
}

switch (true) {
  case dag >= 1 && dag <= 5:
    console.log("Werkdag");
    break;
  case dag === 6 || dag === 7:
    console.log("Weekend");
    break;
  default:
    console.log("Geen bekende dag van de week");
}



var x = 1;
while (x <= 5) {
  console.log(x++);
}

// https://www.jslint.com


x = 1;
do {
  console.log(x++);
} while (x == 2);
console.log(x);


// Array
let namen = ["Jan", "Pier", "Joris", "Corneel"];
for (let i = 0; i < namen.length; i++) {
  console.log(namen[i] + " heeft een baard.");
}


getallen = [1, 5, 3, 7];
for (let i = 0; i < getallen.length; i++) {
  console.log(i, getallen[i]);
}


getallen = [1, 5, 3, 7];
for (let getal of getallen) {
  console.log(`Het volgende getal heeft de waarde:  ${getal}`);
}


let namen2 = ["Jan", "Pier", "Joris", "Corneel"];
for (let naam of namen2) {
  console.log(`${naam} heeft een baard.`);
}


// Object
var artikel = {
  naam: "pen",
  prijs: 1.5
};
for (let eigenschap in artikel) {
  console.log(eigenschap, artikel[eigenschap]);
}


var artikel = {
  naam: "pen",
  prijs: 1.5,
  kleur: "blauw"
}

console.log(artikel.naam);
console.log(artikel["naam"]);


for (let attribuut in artikel) {
  console.log(attribuut, artikel[attribuut]);
}


var prijzen = [10, 3.5, 2.7, 8];
var waarde = 0;
for (let i = 0; i < prijzen.length; i++) {
  //waarde = waarde + prijzen[i];
  waarde+=prijzen[i];
  console.log(i, prijzen[i]);
}
console.log("Totaal met for loop: " + waarde);


var prijzen = [10, 3.5, 2.7, 8];
var waarde = 0;
for (let getal of prijzen) {
  //waarde = waarde + getal;
  waarde+=getal;
  console.log(getal, waarde);
}
console.log("Totaal met for ... of loop: " + waarde);


var getal = Math.floor(Math.random() * 10) + 1;
var poging = parseInt(window.prompt("Geef een getal: "));
var teller = 1;

while (poging < getal || poging > getal) {
  if (poging < getal) {
    console.log("hoger");
  } else {
    console.log("lager");
  }
  poging = parseInt(window.prompt("Geef een getal: "));
  teller++;
}
console.log("Aantal pogingen: " + teller);
